Get community mirror proposal
curl --request GET \
--url https://agenticadvertising.org/api/registry/mirror-proposals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://agenticadvertising.org/api/registry/mirror-proposals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agenticadvertising.org/api/registry/mirror-proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal": {
"id": "4ec8bc86-6180-4d0e-aa72-9cbf402d3638",
"platform": "example_platform",
"adagents_json": {
"authorized_agents": [
{
"url": "<string>",
"authorized_for": "<string>",
"property_ids": [
"<string>"
],
"property_tags": [
"<string>"
],
"properties": [
{}
],
"publisher_properties": [
{
"publisher_domain": "<string>",
"publisher_domains": [
"<string>"
],
"property_ids": [
"<string>"
],
"property_tags": [
"<string>"
]
}
],
"collections": [
{
"publisher_domain": "<string>",
"collection_ids": [
"<string>"
]
}
],
"placement_ids": [
"<string>"
],
"placement_tags": [
"<string>"
],
"exclusive": true,
"countries": [
"<string>"
],
"effective_from": "<string>",
"effective_until": "<string>",
"signal_ids": [
"<string>"
],
"signal_tags": [
"<string>"
],
"signing_keys": [
{}
]
}
],
"$schema": "<string>",
"properties": [
{}
],
"catalog_etag": "<string>",
"formats": [
{}
],
"placements": [
{}
],
"placement_tags": {},
"collections": [
{}
],
"signals": [
{}
],
"signal_tags": {},
"contact": "<unknown>",
"superseded_by": "<string>",
"last_updated": "2023-11-07T05:31:56Z"
},
"catalog_etag": "<string>",
"superseded_by": "<string>",
"proposal_digest": "<string>",
"base_mirror_digest": "<string>",
"proposed_by_organization_id": "<string>",
"proposed_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"review_notes": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposed_by_email": "jsmith@example.com"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryAfter": 123
}{
"error": "<string>"
}Community Mirrors
Get community mirror proposal
Fetch a proposal owned by the caller. Registry moderators and AgenticAdvertising.org administrators may fetch any proposal.
GET
/
api
/
registry
/
mirror-proposals
/
{id}
Get community mirror proposal
Authorizations
bearerAuthoauth2
Bearer token in the Authorization header. Two token types are accepted:
- Organization API key (
sk_...) issued via the dashboard. Org-scoped, long-lived, for server-to-server use. - User JWT obtained via the OAuth 2.1 authorization code flow with PKCE. User-scoped, short-lived. Discover the authorization server at
/.well-known/oauth-authorization-serverand the protected-resource metadata at/.well-known/oauth-protected-resource/api.
Path Parameters
Response
Community mirror proposal
Show child attributes
Show child attributes
Was this page helpful?
⌘I